class LIMGARR extends LHTML
{
 
 constructor(data)
 { 
  super(data);
  
  this.images=[];
  this.idata=[];
  this.imgcnt=0;

  
  for (let key in data.images)
  {this.imcnt++;
   this.idata[key]=data.images[key];
   this.idata[key].id=key;
   this.idata[key].hpar=this;
   this.idata[key].type='img';
   
   if (key=='def')
   {this.idata[key].opa={def:1,off:0,on:1}}
   else
    {this.idata[key].opa={def:0,off:0,on:1}}  
   this.images[key]=new LHTML(this.idata[key]);
  
  }
  
 } 
 
  parseMsg(msg)  
  {super.parseMsg(msg)
//   console.log(this.id,msg.act)
   switch (msg.act) 
   {    
    case 'iFade': this.iFade(msg.val1,msg.val2);  break; 
   } 
  } 
 
 
 //---
  
 iFade(i,wat) 
 {
  this.images[i].hobj.style.opacity=this.idata[i].opa[wat]
 } 
}  

//-------------------------------------------------------------

class IANI extends LHTML
{
 
 constructor(data)  
 {
  super(data);
  
  this.imgs=[];
  this.imcnt=1;
  this.dir=undefined;
  
  if (data.anz)
  {
   for (let i=1;i<=data.anz;i++) 
   {
    let tmp={};
    tmp.id=i;
    tmp.hpar=this;
    tmp.type='img';
    tmp.vis='hidden';
    tmp.img={def:data.path+i+'.jpg'};
    this.imgs[i]=new LHTML(tmp);
   } 
  }  
  
 } // end const
 
 
  parseMsg(msg)  
  {
   super.parseMsg(msg); 
   switch (msg.act) 
   {    
    case 'runani': 
     if (msg.val) {this.hobj.style.visibility='visible';this.setOpLabel(msg.val)}    
     this.imcnt=1; 
     this.dir='up';
     this.stop=false;
     this.runit();   
    break; 
    case 'stop': this.stop=true; console.log('d');  break;
   } 
  } 
 
 
 runit()
 {
 
  if (this.imcnt==this.d.anz && !this.d.onlyup) {this.dir='down'}
  if (this.imcnt==1) {this.dir='up'}
  
  if (this.d.onlyup && this.imcnt==this.d.anz) {this.stop=true}
  
  
   
  if (this.dir=='up')
  {//console.log('in ',this.imcnt)
   this.imgs[this.imcnt].hobj.style.visibility='visible'; 
   this.imcnt++;
  } 
  
  if (this.dir=='down')
  {//console.log('out ',this.imcnt)
   if (this.imcnt>1)
   {this.imgs[this.imcnt].hobj.style.visibility='hidden'} 
   this.imcnt--;
  }   
  
   if (!this.stop)
  {setTimeout(this.runit.bind(this),this.d.speed)  }  
  
 } 
  
}




  
