class LBASE
{
 
 constructor (data) 
 {
  this.d=data; 
  this.id=data.id;
  this.par=data.par;
  this.childs=[];
  this.msg=[];
  this.mlock=false;
  
  if (data.par && data.par.addChild)
  {data.par.addChild(this)}
 } 
 
 //-- CHILDS
 
 addChild(wat)
 {
//  if (this.childs[wat.id])
//  {console.log('Object already in child list: '+wat.id)}
//  else
//  {
   wat.par=this;  
   this.childs[wat.id]=wat;
//  }
 }
 
 //-- MSG 
 addMsg(msg) 
 {
  if (typeof msg.dest != 'object') 
  { msg.dest={default:msg.dest}  }
   
   
  if (this.msg[msg.id]) {console.log(this.id+' : '+'Message '+msg.id+' already exists')}
  else
  {this.msg[msg.id]=msg}
 }
 
 triggerMsg(trigger)
 {
  for (let key in this.msg) 
  { 
   if (this.msg[key].trigger==trigger && !this.msg[key].mlock) 
   { //console.log(trigger);
    if (this.msg[key].delay)
    {setTimeout(this.sendMsg.bind(this),this.msg[key].delay*1000,this.msg[key]);} 
    else 
    {this.sendMsg(this.msg[key])} 
   }  
    
  } 
 }  
 
 sendMsg(msg)
 {
  if (!msg.mlock) 
  {
   if (!msg.flag || CORE.chkFlag(msg.flag))
   { 
    switch (msg.handler) 
    {    
     case 'SELF': this.getMsg(msg); break;
     case 'PARENT':  this.par.getMsg(msg);   break;
     case 'PPARENT':  this.par.par.getMsg(msg);  break;
     case 'CORE': CORE.getMsg(msg); break;
    }  
   }  
  } 
 } 
 
 //-
 
 getMsg(msg)
 {// console.log(this.id,msg.dest,msg.val); 
  for (let key in msg.dest)
  { 
   if (msg.dest[key]=='SELF') 
   {this.parseMsg(msg)}
   else
   {
    for (let key2 in this.childs) 
    { 
     if (key2==msg.dest[key]) 
     { 
       this.childs[key2].parseMsg(msg)
     }
    }  
   }  
  } 
 }   
 
 parseMsg(msg)
 {//console.log(this.id,msg.dest,msg.act); 
  if (msg.log) {console.log('id',this.id);console.log(msg)}
  switch (msg.act) 
  {    
   case 'mlock': 
    console.log(this.id,msg.act)
    if (msg.who=='ALL')
    {
     for (let key in this.msg)
     {
      if (!this.msg[key].nolock) {this.msg[key].mlock=msg.what; }
     }  
    }
    else
    {
     if (this.msg[msg.who])
     {this.msg[msg.who].mlock=msg.what;}
    } 
   break;
  }     
  
 }  
   
 
  
}  


