class LBUTTON extends LHTML
{
 
 constructor(data) 
 {
  super(data);
  
  this.bstat=0;
  this.enabled=true;
  
  if (data.disable) {this.enabled=false; this.d.shadow.dis=_shadows.gray1 }

//  console.log(this.id+'+'+data.enabled+'+'+this.enabled)
  
  this.hobj.addEventListener('mousedown', function(evt) 
  {    if(evt.button==0 && !this.p.disabled) {this.p.chkmouse('mousedown')}  })

  this.hobj.addEventListener('mouseup', function(evt) 
  {   if(evt.button==0 && !this.p.disabled) {this.p.chkmouse('mouseup')}  })  
  
  this.hobj.addEventListener('mouseover', function(evt) 
  {     { if (!this.p.disabled) {this.p.chkmouse('mouseover');  }}  })  
  
  this.hobj.addEventListener('mouseout', function(evt) 
  {     {if (!this.p.disabled) {this.p.chkmouse('mouseout')}}  })   
  
  this.hobj.style.display = 'flex';
  this.hobj.style.alignItems = 'center';
  this.hobj.style.justifyContent = 'center';  
  
  if (!this.enabled)
  {
   this.hobj.style.cursor='default'; 
   this.hobj.style.boxShadow=this.d.shadow['dis'];
   if(this.d.ftColor['dis']) {this.hobj.style.color=this.d.ftColor['dis']}   
  }
  
  
  
 } 
 
 
 //-- msg
 
  parseMsg(msg)  
  {
   super.parseMsg(msg); 
   switch (msg.act) 
   {    
    case 'enable': this.enable(msg.val);  break; 
    case 'disable': this.disable();  break;     
    case 'lock': this.enabled=false; break;
   }
  }   
  
 //----------
 
 enable(wat) 
 {
  this.enabled=wat;
   this.hobj.style.cursor='pointer'; 
   if(this.d.shadow['def']) {this.hobj.style.boxShadow=this.d.shadow['def']}
   if(this.d.ftColor['def']) {this.hobj.style.color=this.d.ftColor['def']}  
 }  
 
 disable() 
 {
  this.enabled=false;
   this.hobj.style.cursor='default'; 
   if(this.d.shadow['dis']) {this.hobj.style.boxShadow=this.d.shadow['dis']}
   if(this.d.ftColor['dis']) {this.hobj.style.color=this.d.ftColor['dis']}  
      
   
 } 
 
 //--- event
 

 chkmouse(wat)
 { //console.log(wat)
   if (this.enabled)
  {
   if (this.d.btype=='schalt' && wat=='mousedown')
   {
    if (this.bstat==0) {wat='on';this.bstat=1}
    else {wat='off';this.bstat=0}
   }  
   
   this.setBkImgLabel(wat);
   this.setBorderLab(wat);
   this.setBkColorLab(wat);
   this.setShadowLab(wat);
   this.setTxtColLab(wat);   
   this.triggerMsg(wat);
  } 
 } 
 
 
 
 
}  
